Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
API to fetch Object details by passing object type and ID.
cURL
curl --request GET \ --url https://hub.suprsend.com/v1/object/{object_type}/{id}/ \ --header 'Authorization: Bearer <token>'
import requests url = "https://hub.suprsend.com/v1/object/{object_type}/{id}/" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://hub.suprsend.com/v1/object/{object_type}/{id}/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://hub.suprsend.com/v1/object/{object_type}/{id}/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://hub.suprsend.com/v1/object/{object_type}/{id}/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://hub.suprsend.com/v1/object/{object_type}/{id}/") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://hub.suprsend.com/v1/object/{object_type}/{id}/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "object_type": "departments", "id": "engineering", "subscriptions_count": 0, "properties": { "$locale": "en_GB" }, "created_at": "2025-04-06T10:00:37.893892+00:00", "updated_at": "2025-04-06T10:00:37.893892+00:00", "$inbox": [ { "value": "pO7w6x_HFZxCs30N4SHab05e3QIdB1e0xT2r4vQWjvM", "id_provider": "suprsend", "status": "active", "perma_status": "active" } ] }
{ "code": 404, "message": "object 'obj_type/obj_id' not found" }
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Bearer <API_KEY>
Unique identifier of the object in your system
Used to group similar objects together. Give plural namespace like teams, organizations, and roles.
200 - OK
unique identifier of the object
"engineering"
"departments"
number of users/child objects subscribed to the object
all user properties in key-value pair. SuprSend reserved properties start with $
Timestamp when the object was created.
"2025-04-04T09:55:12.397Z"
Timestamp when the object was last updated.
"2025-04-04T09:55:12.422Z"
List of active communication channels for the object.
Show child attributes